<div *ngIf="expanded">
  <div (click)="onClose()" class="miam-shadow-overlay"></div>

  <div class="miam-modal" [ngClass]="{ 'with-header': !noHeaderMode, 'without-header': noHeaderMode }">
    <div class="miam-modal__container">
      <div class="miam-modal__header">
        <div class="miam-modal__title ">{{ title }}</div>
        <ng-miam-icon
          (click)="onClose()"
          class="miam-modal__close__icon"
          [width]='40'
          [height]='40'
          [iconName]='icon.Clear'
          primaryColor="var(--m-color-grey-text-dark)"
        ></ng-miam-icon>
      </div>
      <ng-content *ngIf='isAngularComponent else isWebC'></ng-content>
      <ng-template #isWebC>
        <slot name="modal-content"></slot>
      </ng-template>
      <div class="miam-modal__actions">
        <button *ngIf="cancelButtonText" (click)="onCancel()" class="m-button-secondary">
          {{ cancelButtonText }}
        </button>
        <button *ngIf="confirmButtonText" (click)="onConfirm()" class="m-button-primary">
          {{ confirmButtonText }}
        </button>
      </div>
    </div>
  </div>
</div>